# IPropertiesModule Struct Reference
[Shell Interfaces]

Inheritance diagram for IPropertiesModule:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Invalidate (boolean invalClientPages)=0
virtual boolean MCCOMAPI | IsValid ()=0
virtual void MCCOMAPI | Validate ()=0
virtual void MCCOMAPI | SetCurrentClient (IPropertiesClient *inClient)=0
virtual void MCCOMAPI | SetCurrentSelectionType (IDType inSelectionType)=0
virtual IDType MCCOMAPI | GetCurrentSelectionType ()=0
virtual MCCOMErr MCCOMAPI | GetTabs (IMFTabPart **outTabPart)=0
virtual MCCOMErr MCCOMAPI | GetHostPart (IMFPart **outHostPart)=0
virtual ISceneDocument *MCCOMAPI | GetDocumentNoAddRef ()=0
virtual I3DShModule *MCCOMAPI | GetThisModule ()=0
virtual void MCCOMAPI | SetTitle (const TMCString &inTitle)=0
virtual void MCCOMAPI | RepositionExtraPart ()=0

## Detailed Description

This interface is implemented by the properties module, the holder for properties information. It is also an I3DShModule. It hosts various IPropertiesClient parts.

## Member Function Documentation

virtual IDType MCCOMAPI IPropertiesModule::GetCurrentSelectionType | ( |  | ) | `[pure virtual]`

virtual ISceneDocument* MCCOMAPI IPropertiesModule::GetDocumentNoAddRef | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IPropertiesModule::GetHostPart | ( | IMFPart ** | outHostPart | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IPropertiesModule::GetTabs | ( | IMFTabPart ** | outTabPart | ) | `[pure virtual]`

virtual I3DShModule* MCCOMAPI IPropertiesModule::GetThisModule | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IPropertiesModule::Invalidate | ( | boolean | invalClientPages | ) | `[pure virtual]`

Parameters:

  | invalClientPages | will trigger a full rebuild of the properties. set it to false when only the panel content need to be refreshed

virtual boolean MCCOMAPI IPropertiesModule::IsValid | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IPropertiesModule::RepositionExtraPart | ( |  | ) | `[pure virtual]`

Adjust the tabs to make room for the extra part Call this only if you need to change the extra part's size several times.

virtual void MCCOMAPI IPropertiesModule::SetCurrentClient | ( | IPropertiesClient * | inClient | ) | `[pure virtual]`

Call SetCurrentClient() to attach your client to the properties module

Parameters:

  | inClient | Pointer to the client to attach to this module

virtual void MCCOMAPI IPropertiesModule::SetCurrentSelectionType | ( | IDType | inSelectionType | ) | `[pure virtual]`

Call SetCurrentSelectionType() when the type of selection changes so the properties module can save the preferred page for this selection type

Parameters:

  | inSelectionType | ID of the current selected object type

virtual void MCCOMAPI IPropertiesModule::SetTitle | ( | const TMCString & | inTitle | ) | `[pure virtual]`

virtual void MCCOMAPI IPropertiesModule::Validate | ( |  | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IPropertiesModule.h